import * as types from "../constants/actionTypes";

import data from "../utils/fakeData";

const initState = {
	list: data,
	loads: [{ id: new Date().getTime(), name: "" }],
	initialValues: {}
	// editObject: {}
};

export default (state = initState, { type, payload, meta }) => {
	switch (type) {
		case types.ADD_TO_LIST: {
			const list = state.list.concat({ ...payload, id: new Date().getTime(), load: state.loads });

			return { ...state, list };
		}

		case types.ADD_LOADS: {
			const newDateInput = { id: new Date().getTime(), name: "" };

			return { ...state, loads: state.loads.concat(newDateInput) };
		}

		case types.GET_INIT_VAL: {
			const initialValues = state.list.filter(el => el.id === payload)[0];

			return { ...state, initialValues };
		}
		case types.EDIT_LOADS: {
			const list = state.list.map(el => (el.id === payload.id ? payload : el));

			return { ...state, list };
		}

		// case "@@redux-form/CHANGE": {
		// 	if (meta.form === "editLoads") {
		// 		console.log("meta", meta);
		// 		return {
		// 			...state,
		// 			editObject: {
		// 				...state.editObject,
		// 				[meta.field]: payload
		// 			}
		// 		};
		// 	}
		// 	return state;
		// }

		default:
			return state;
	}
};
